Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226518 - Merge Review: usbutils
Summary: Merge Review: usbutils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:13 UTC by Nobody's working on this, feel free to take it
Modified: 2008-02-15 09:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-15 09:10:27 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (deleted)
2008-02-12 12:11 UTC, Parag AN(पराग)
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 21:13:58 UTC
Fedora Merge Review: usbutils

http://cvs.fedora.redhat.com/viewcvs/devel/usbutils/
Initial Owner: twoerner@redhat.com

Comment 1 Parag AN(पराग) 2008-02-12 12:10:18 UTC
1)rpmlint on current rawhide package gave me
usbutils.src: E: non-utf8-spec-file /tmp/usbutils-0.73-1.src.rpm.10603/usbutils.spec
==> use iconv command to convert spec file to UTF8 format
iconv -f ISO-8859-1 -t UTF-8 usbutils.spec >usbutils.spec.new
mv usbutils.spec.new usbutils.spec

usbutils.src: W: summary-ended-with-dot Linux USB utilities.
==> remove dot from summary

usbutils.src: E: tag-not-utf8 %changelog

usbutils.src: W: invalid-license GPL
==> use GPLv2+

2) You can add dist tag if you want http://fedoraproject.org/wiki/Packaging/DistTag

3)you can use parallel make as
  make %{?_smp_mflags}

4)Remove generic INSTALL from %doc

5) Do not use %makeinstall



Comment 2 Parag AN(पराग) 2008-02-12 12:11:45 UTC
Created attachment 294647 [details]
spec cleanup

You can use attached patch to solve packaging issues.
Add changelog and bump release.

Comment 3 Jiri Moskovcak 2008-02-12 12:41:07 UTC
Hi,
thanks for the patch, I've commited the proposed changes to cvs.

Comment 4 Parag AN(पराग) 2008-02-12 14:40:44 UTC
Thanks for quick work.
1) But, I think patch did not solved following issues 
usbutils.src: E: non-utf8-spec-file
/tmp/usbutils-0.73-2.fc9.src.rpm.9287/usbutils.spec
usbutils.src: E: tag-not-utf8 %changelog

solution==>
iconv -f ISO-8859-1 -t UTF-8 usbutils.spec >usbutils.spec.new
mv usbutils.spec.new usbutils.spec

2) remove following line from SPEC
cp /usr/share/libtool/config.{sub,guess} .
as you already have BR: libtool

I got successful scratch build with above changes at
http://koji.fedoraproject.org/koji/taskinfo?taskID=418904

3)Source URL should be
http://downloads.sourceforge.net/linux-usb/%{name}-{version}.tar.gz

4) change make install line in SPEC to
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
==> This will preserve timestamps.

5) Is following conflict line in SPEC for this package still needed?
Conflicts: hotplug < 3:2002_01_14-2
==> I saw no cvs module for hotplug in Fedora.

6)Also, Can you build this package?


Comment 5 Jiri Moskovcak 2008-02-12 15:35:43 UTC
Spec file fixed and converted. I'm not sure about hotplug, you can still 
install it from other repository, so even if it's not in official Fedora repo 
the conflict still exists..

Comment 6 Jiri Moskovcak 2008-02-12 15:38:29 UTC
Just finished the scratch build: http://koji.fedoraproject.org/koji/taskinfo?
taskID=419085


Comment 7 Parag AN(पराग) 2008-02-12 16:36:18 UTC
looks Ok to me.
I will wait for build in devel then will Approve this review.

Comment 8 Parag AN(पराग) 2008-02-15 05:29:03 UTC
ping?

Comment 9 Jiri Moskovcak 2008-02-15 09:02:17 UTC
Hi, build is complete:
http://koji.fedoraproject.org/koji/buildinfo?buildID=36377

Comment 10 Parag AN(पराग) 2008-02-15 09:10:27 UTC
(In reply to comment #9)
> Hi, build is complete:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=36377

Thanks for this build.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.